Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class Inet6Address

    java.lang.Object
      |
      +--java.net.InetAddress
            |
            +--java.net.Inet6Address

All Implemented Interfaces:
  Serializable

public final class Inet6Address
extends InetAddress

This class represents an Internet Protocol version 6 (IPv6) address. Defined by RFC 2373: IP Version 6 Addressing Architecture.

#### Textual representation of IP addresses

Textual representation of IPv6 address used as input to methods takes one of the following forms:

1. The preferred form is x:x:x:x:x:x:x:x, where the 'x's are the hexadecimal values of the eight 16-bit pieces of the address. This is the full form. For example,

   > `1080:0:0:0:8:800:200C:417A` |

   Note that it is not necessary to write the leading zeros in an individual field. However, there must be at least one numeral in every field, except as described below.

2. Due to some methods of allocating certain styles of IPv6 addresses, it will be common for addresses to contain long strings of zero bits. In order to make writing addresses containing zero bits easier, a special syntax is available to compress the zeros. The use of "::" indicates multiple groups of 16-bits of zeros. The "::" can only appear once in an address. The "::" can also be used to compress the leading and/or trailing zeros in an address. For example,

   > `1080::8:800:200C:417A` |

3. An alternative form that is sometimes more convenient when dealing with a mixed environment of IPv4 and IPv6 nodes is x:x:x:x:x:x:d.d.d.d, where the 'x's are the hexadecimal values of the six high-order 16-bit pieces of the address, and the 'd's are the decimal values of the four low-order 8-bit pieces of the standard IPv4 representation address, for example,

   > `::FFFF:129.144.52.38` |
   > `::129.144.52.38` |

   where "::FFFF:d.d.d.d" and "::d.d.d.d" are, respectively, the general forms of an IPv4-mapped IPv6 address and an IPv4-compatible IPv6 address. Note that the IPv4 portion must be in the "d.d.d.d" form. The following forms are invalid:

   > `::FFFF:d.d.d` |
   > `::FFFF:d.d` |
   > `::d.d.d` |
   > `::d.d` |

   The following form:

   > `::FFFF:d` |

   is valid, however it is an unconventional representation of the IPv4-compatible IPv6 address,

   > `::255.255.0.d` |

   while "::d" corresponds to the general IPv6 address "0:0:0:0:0:0:0:d".

For methods that return a textual representation as output value, the full form is used. Inet6Address will return the full form because it is unambiguous when used in combination with other textual data.

#### Special IPv6 address

> IPv4-mapped address | Of the form::ffff:w.x.y.z, this IPv6 address is used to represent an IPv4 address. It allows the native program to use the same address data structure and also the same socket when communicating with both IPv4 and IPv6 nodes. In InetAddress and Inet6Address, it is used for internal representation; it has no functional role. Java will never return an IPv4-mapped address. These classes can take an IPv4-mapped address as input, both in byte array and text representation. However, it will be converted into an IPv4 address.

See Also:
  Serialized Form

Method Summary
`boolean` | `equals(Object obj)` Compares this object against the specified object.
`byte[]` | `getAddress()` Returns the raw IP address of this `InetAddress` object.
`String` | `getHostAddress()` Returns the IP address string in textual presentation.
`int` | `hashCode()` Returns a hashcode for this IP address.
`boolean` | `isAnyLocalAddress()` Utility routine to check if the InetAddress in a wildcard address.
`boolean` | `isIPv4CompatibleAddress()` Utility routine to check if the InetAddress is an IPv4 compatible IPv6 address.
`boolean` | `isLinkLocalAddress()` Utility routine to check if the InetAddress is an link local address.
`boolean` | `isLoopbackAddress()` Utility routine to check if the InetAddress is a loopback address.
`boolean` | `isMCGlobal()` Utility routine to check if the multicast address has global scope.
`boolean` | `isMCLinkLocal()` Utility routine to check if the multicast address has link scope.
`boolean` | `isMCNodeLocal()` Utility routine to check if the multicast address has node scope.
`boolean` | `isMCOrgLocal()` Utility routine to check if the multicast address has organization scope.
`boolean` | `isMCSiteLocal()` Utility routine to check if the multicast address has site scope.
`boolean` | `isMulticastAddress()` Utility routine to check if the InetAddress is an IP multicast address.
`boolean` | `isSiteLocalAddress()` Utility routine to check if the InetAddress is a site local address.

Methods inherited from class java.net.InetAddress
`getAllByName, getByAddress, getByAddress, getByName, getCanonicalHostName, getHostName, getLocalHost, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### isMulticastAddress

    public boolean isMulticastAddress()

  Utility routine to check if the InetAddress is an IP multicast address. 11111111 at the start of the address identifies the address as being a multicast address.

  Overrides:
    `isMulticastAddress` in class `InetAddress`
  Returns:
    a `boolean` indicating if the InetAddress is an IP multicast address
  Since:
    JDK1.1

### isAnyLocalAddress

    public boolean isAnyLocalAddress()

  Utility routine to check if the InetAddress in a wildcard address.

  Overrides:
    `isAnyLocalAddress` in class `InetAddress`
  Returns:
    a `boolean` indicating if the Inetaddress is a wildcard address.
  Since:
    1.4

### isLoopbackAddress

    public boolean isLoopbackAddress()

  Utility routine to check if the InetAddress is a loopback address.

  Overrides:
    `isLoopbackAddress` in class `InetAddress`
  Returns:
    a `boolean` indicating if the InetAddress is a loopback address; or false otherwise.
  Since:
    1.4

### isLinkLocalAddress

    public boolean isLinkLocalAddress()

  Utility routine to check if the InetAddress is an link local address.

  Overrides:
    `isLinkLocalAddress` in class `InetAddress`
  Returns:
    a `boolean` indicating if the InetAddress is a link local address; or false if address is not a link local unicast address.
  Since:
    1.4

### isSiteLocalAddress

    public boolean isSiteLocalAddress()

  Utility routine to check if the InetAddress is a site local address.

  Overrides:
    `isSiteLocalAddress` in class `InetAddress`
  Returns:
    a `boolean` indicating if the InetAddress is a site local address; or false if address is not a site local unicast address.
  Since:
    1.4

### isMCGlobal

    public boolean isMCGlobal()

  Utility routine to check if the multicast address has global scope.

  Overrides:
    `isMCGlobal` in class `InetAddress`
  Returns:
    a `boolean` indicating if the address has is a multicast address of global scope, false if it is not of global scope or it is not a multicast address
  Since:
    1.4

### isMCNodeLocal

    public boolean isMCNodeLocal()

  Utility routine to check if the multicast address has node scope.

  Overrides:
    `isMCNodeLocal` in class `InetAddress`
  Returns:
    a `boolean` indicating if the address has is a multicast address of node-local scope, false if it is not of node-local scope or it is not a multicast address
  Since:
    1.4

### isMCLinkLocal

    public boolean isMCLinkLocal()

  Utility routine to check if the multicast address has link scope.

  Overrides:
    `isMCLinkLocal` in class `InetAddress`
  Returns:
    a `boolean` indicating if the address has is a multicast address of link-local scope, false if it is not of link-local scope or it is not a multicast address
  Since:
    1.4

### isMCSiteLocal

    public boolean isMCSiteLocal()

  Utility routine to check if the multicast address has site scope.

  Overrides:
    `isMCSiteLocal` in class `InetAddress`
  Returns:
    a `boolean` indicating if the address has is a multicast address of site-local scope, false if it is not of site-local scope or it is not a multicast address
  Since:
    1.4

### isMCOrgLocal

    public boolean isMCOrgLocal()

  Utility routine to check if the multicast address has organization scope.

  Overrides:
    `isMCOrgLocal` in class `InetAddress`
  Returns:
    a `boolean` indicating if the address has is a multicast address of organization-local scope, false if it is not of organization-local scope or it is not a multicast address
  Since:
    1.4

### getAddress

    public byte[] getAddress()

  Returns the raw IP address of this `InetAddress` object. The result is in network byte order: the highest order byte of the address is in `getAddress()[0]`.

  Overrides:
    `getAddress` in class `InetAddress`
  Returns:
    the raw IP address of this object.

### getHostAddress

    public String getHostAddress()

  Returns the IP address string in textual presentation.

  Overrides:
    `getHostAddress` in class `InetAddress`
  Returns:
    the raw IP address in a string format.

### hashCode

    public int hashCode()

  Returns a hashcode for this IP address.

  Overrides:
    `hashCode` in class `InetAddress`
  Returns:
    a hash code value for this IP address.

### equals

    public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and it represents the same IP address as this object.

  Two instances of `InetAddress` represent the same IP address if the length of the byte arrays returned by `getAddress` is the same for both, and each of the array components is the same for the byte arrays.

  Overrides:
    `equals` in class `InetAddress`
  Parameters:
    `obj` - the object to compare against.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  See Also:
    `InetAddress.getAddress()`

### isIPv4CompatibleAddress

    public boolean isIPv4CompatibleAddress()

  Utility routine to check if the InetAddress is an IPv4 compatible IPv6 address.

  Returns:
    a `boolean` indicating if the InetAddress is an IPv4 compatible IPv6 address; or false if address is IPv4 address.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.